import { Request, Response } from 'express';
import SecurityUtil from '../utils/security/securityUtil';

export default class AuthController {
    static login(req: Request, res: Response) {
        SecurityUtil.handleLogin(req, res);
    }

    static logout(req: Request, res: Response) {
        SecurityUtil.handleLogout(req, res);
    }

    static refreshSession(req: Request, res: Response) {
        SecurityUtil.refreshSession(req, res);
    }

    static resetPassword(req: Request, res: Response) {
        res.status(501).send({ error: 'Not Implemented' });
    }
}
